aboutsummaryrefslogtreecommitdiff
path: root/tests/fadvise_reserve.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fadvise_reserve.sh')
-rwxr-xr-xtests/fadvise_reserve.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/fadvise_reserve.sh b/tests/fadvise_reserve.sh
new file mode 100755
index 0000000..a62f9e9
--- /dev/null
+++ b/tests/fadvise_reserve.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+. wrapper-utils.sh
+
+# fadvise is known broken before 2.6.30
+compare_kvers `uname -r` "2.6.30"
+if [ $? -eq 1 ]; then
+ echo "FAIL kernel bug"
+ exit $RC_FAIL
+else
+ EXP_RC=$RC_PASS
+ exec_and_check $EXP_RC quota "$@"
+fi
+